# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


catalog:
  - name: "Welcome"
    path: "/readme"
  - name: "Concepts and Designs"
    catalog:
      - name: "What is SkyWalking?"
        catalog:
          - name: "Overview and Core concepts"
            path: "/en/concepts-and-designs/overview"
          - name: "Project Goals"
            path: "/en/concepts-and-designs/project-goals"
      - name: "Agents"
        catalog:
          - name: "Introduction"
            path: "/en/concepts-and-designs/probe-introduction"
          - name: "Service Auto Instrument Agent"
            path: "/en/concepts-and-designs/service-agent"
          - name: "Manual Instrument SDK"
            path: "/en/concepts-and-designs/manual-sdk"
      - name: "Observability Analysis Platform"
        catalog:
          - name: "Overview"
            path: "/en/concepts-and-designs/backend-overview"
          - name: "Analysis Traces and Mesh Traffic"
            path: "/en/concepts-and-designs/oal"
          - name: "Analysis Metrics and Meters"
            path: "/en/concepts-and-designs/mal"
          - name: "Analysis Logs"
            path: "/en/concepts-and-designs/lal"
          - name: "Profiling"
            path: "/en/concepts-and-designs/profiling"
      - name: "Event"
        path: "/en/concepts-and-designs/event/"

  - name: "Setup"
    catalog:
      - name: "Quick Start"
        catalog:
          - name: "Introduction"
            path: "/en/setup/backend/backend-setup"
          - name: "Run with Docker"
            path: "/en/setup/backend/backend-docker"
          - name: "Run with Kubernetes"
            path: "/en/setup/backend/backend-k8s"
      - name: "Configuration Vocabulary"
        path: "/en/setup/backend/configuration-vocabulary"
      - name: "Advanced Setup"
        catalog:
          - name: "Service Grouping"
            path: "/en/setup/backend/service-auto-grouping"
          - name: "Overriding Settings"
            path: "/en/setup/backend/backend-setting-override"
          - name: "IP And Port Setting"
            path: "/en/setup/backend/backend-ip-port"
          - name: "Backend Init Mode Startup"
            path: "/en/setup/backend/backend-init-mode"
          - name: "Cluster Management"
            path: "/en/setup/backend/backend-cluster"
          - name: "Choose Storage"
            catalog:
              - name: "Introduction"
                path: "/en/setup/backend/backend-storage"
              - name: "H2"
                path: "/en/setup/backend/storages/h2"
              - name: "Elasticsearch & OpenSearch"
                path: "/en/setup/backend/storages/elasticsearch"
              - name: "MySQL"
                path: "/en/setup/backend/storages/mysql"
              - name: "PostgreSQL"
                path: "/en/setup/backend/storages/postgresql"
              - name: "BanyanDB(Alpha)"
                path: "/en/setup/backend/storages/banyandb"
          - name: "Setup External Communication Channels"
            path: "/en/setup/backend/backend-expose"
          - name: "Kafka Fetcher"
            path: "/en/setup/backend/kafka-fetcher"
          - name: "Advanced Deployment Options"
            path: "/en/setup/backend/advanced-deployment"
          - name: "Data Lifecycle. Time To Live (TTL)"
            path: "/en/setup/backend/ttl"
          - name: "Group Parameterized Endpoints"
            path: "/en/setup/backend/endpoint-grouping-rules"
          - name: "Dynamical Logging"
            path: "/en/setup/backend/dynamical-logging"
          - name: "Security(SSL/TLS/mTLS)"
            path: "/en/setup/backend/grpc-security"
          - name: "Setup Native Load Balancer"
            path: "/en/setup/backend/backend-load-balancer"
          - name: "OAP Self Observability Telemetry"
            path: "/en/setup/backend/backend-telemetry"
          - name: "OAP Health Check"
            path: "/en/setup/backend/backend-health-check"
      - name: "Tracing"
        catalog:
          - name: "Trace Sampling"
            path: "/en/setup/backend/trace-sampling"
          - name: "Detect Slow Database Statement"
            path: "/en/setup/backend/slow-db-statement"
          - name: "Detect Slow Cache Command"
            path: "/en/setup/backend/slow-cache-command"
          - name: "Message Queue Performance"
            path: "/en/setup/backend/mq"
          - name: "Uninstrumented Gateways"
            path: "/en/setup/backend/uninstrumented-gateways"
          - name: "Zipkin Trace"
            path: "/en/setup/backend/zipkin-trace"
          - name: "OpenTelemetry Trace"
            path: "/en/setup/backend/otlp-trace"
      - name: "Metrics"
        catalog:
          - name: "OAL Scripts"
            path: "/en/guides/backend-oal-scripts"
          - name: "OpenTelemetry Metrics"
            path: "/en/setup/backend/opentelemetry-receiver"
          - name: "AWS CloudWatch Metrics"
            path: "/en/setup/backend/aws-firehose-receiver"
          - name: "Zabbix Metrics"
            path: "/en/setup/backend/backend-zabbix"
          - name: "Meter Analysis"
            path: "/en/setup/backend/backend-meter"
          - name: "Telegraf Metrics"
            path: "/en/setup/backend/telegraf-receiver"
          - name: "Apdex Threshold"
            path: "/en/setup/backend/apdex-threshold"
          - name: "Spring MicroMeter Observations Analysis"
            path: "/en/setup/backend/micrometer-observations"
          - name: "Alerting"
            path: "/en/setup/backend/backend-alarm"
      - name: "Logging"
        catalog:
          - name: "Persistent Logging"
            catalog:
              - name: "Native Logging from Files"
                path: "/en/setup/backend/filelog-native"
              - name: "Native Logging from Agents"
                path: "/en/setup/backend/log-agent-native"
              - name: "OpenTelemetry Logging"
                path: "/en/setup/backend/log-otlp"
              - name: "Log Analysis"
                path: "/en/setup/backend/log-analyzer"
          - name: "On Demand Pod Logs"
            path: "/en/setup/backend/on-demand-pod-log"
      - name: "Profiling"
        catalog:
          - name: "Tracing Profiling"
            path: "/en/setup/backend/backend-trace-profiling"
          - name: "eBPF Profiling"
            path: "/en/setup/backend/backend-ebpf-profiling"
          - name: "Continuous Profiling"
            path: "/en/setup/backend/backend-continuous-profiling"
      - name: "Extension"
        catalog:
          - name: "Exporter"
            path: "/en/setup/backend/exporter"
          - name: "Dynamic Configuration"
            path: "/en/setup/backend/dynamic-config"
          - name: "AI Pipeline"
            catalog:
              - name: "Introduction"
                path: "/en/setup/ai-pipeline/introduction"
              - name: "HTTP Restful URI recognition"
                path: "/en/setup/ai-pipeline/http-restful-uri-pattern"
      - name: "UI Setup"
        catalog:
          - name: "Native UI"
            catalog:
            - name: "Setup"
              path: "/en/setup/backend/ui-setup"
            - name: "Customization"
              path: "/en/ui/readme"
          - name: "Grafana UI"
            path: "/en/setup/backend/ui-grafana"
      - name: "Official Dashboards"
        catalog:
          - name: "General Service"
            catalog:
              - name: "Server Agents"
                path: "/en/setup/service-agent/server-agents"
              - name: "Compatibility"
                path: "/en/setup/service-agent/agent-compatibility"
              - name: "Virtual Database"
                path: "/en/setup/service-agent/virtual-database"
              - name: "Virtual Cache"
                path: "/en/setup/service-agent/virtual-cache"
              - name: "Virtual MQ"
                path: "/en/setup/service-agent/virtual-mq"
          - name: "Service Mesh"
            catalog:
              - name: "Observe Service Mesh through Access Log Service (ALS)"
                path: "/en/setup/envoy/als_setting"
              - name: "Observe Service Mesh through Zipkin traces"
                path: "/en/setup/zipkin/tracing"
              - name: "Observe Control Plane (Istio)"
                path: "/en/setup/istio/readme"
              - name: "Observe Data Plane (Envoy)"
                path: "/en/setup/envoy/metrics_service_setting"
              - name: "Profile Pod's Network"
                path: "/en/setup/backend/backend-k8s-network-monitoring"
          - name: "Kubernetes"
            catalog:
              - name: "Observe Kubernetes"
                path: "/en/setup/backend/backend-k8s-monitoring"
              - name: "Profile Pod's Network"
                path: "/en/setup/backend/backend-k8s-network-monitoring"
          - name: "Infrastructure Monitoring"
            catalog:
              - name: "Linux Monitoring"
                path: "/en/setup/backend/backend-vm-monitoring"
              - name: "Windows Monitoring"
                path: "/en/setup/backend/backend-win-monitoring"
          - name: "AWS Cloud Monitoring"
            catalog:
              - name: "EKS Monitoring"
                path: "/en/setup/backend/backend-aws-eks-monitoring"
              - name: "S3 Monitoring"
                path: "/en/setup/backend/backend-aws-s3-monitoring"
              - name: "AWS DynamoDB"
                path: "/en/setup/backend/backend-aws-dynamodb-monitoring"
              - name: "AWS API Gateway"
                path: "/en/setup/backend/backend-aws-api-gateway-monitoring"
          - name: "Browser Monitoring"
            path: "/en/setup/service-agent/browser-agent"
          - name: "Gateway Monitoring"
            catalog:
              - name: "Nginx Monitoring"
                path: "/en/setup/backend/backend-nginx-monitoring"
              - name: "APISIX Monitoring"
                path: "/en/setup/backend/backend-apisix-monitoring"
              - name: "AWS API Gateway"
                path: "/en/setup/backend/backend-aws-api-gateway-monitoring"
          - name: "Database Monitoring"
            catalog:
              - name: "MySQL/MariaDB Server"
                path: "/en/setup/backend/backend-mysql-monitoring"
              - name: "PostgreSQL Server"
                path: "/en/setup/backend/backend-postgresql-monitoring"
              - name: "AWS DynamoDB"
                path: "/en/setup/backend/backend-aws-dynamodb-monitoring"
              - name: "Redis"
                path: "/en/setup/backend/backend-redis-monitoring"
              - name: "Elasticsearch"
                path: "/en/setup/backend/backend-elasticsearch-monitoring"
              - name: "MongoDB"
                path: "/en/setup/backend/backend-mongodb-monitoring"
              - name: "BookKeeper"
                path: "/en/setup/backend/backend-bookkeeper-monitoring"
          - name: "MQ Monitoring"
            catalog:
              - name: "RabbitMQ"
                path: "/en/setup/backend/backend-rabbitmq-monitoring"
              - name: "Kafka"
                path: "/en/setup/backend/backend-kafka-monitoring"
              - name: "Pulsar"
                path: "/en/setup/backend/backend-pulsar-monitoring"
          - name: "Self Observability"
            catalog:
              - name: "OAP self telemetry"
                path: "/en/setup/backend/dashboards-so11y"
              - name: "Satellite self telemetry"
                path: "/en/setup/backend/dashboards-so11y-satellite"
      - name: "CLI Setup"
        path: "https://github.com/apache/skywalking-cli"
      - name: "Mock Data Generator Setup"
        path: "/en/setup/backend/backend-data-generator"
  - name: "APIs"
    catalog:
      - name: "Telemetry APIs/Protocols"
        catalog:
          - name: "Tracing"
            catalog:
              - name: "Spans APIs"
                path: "/en/api/trace-data-protocol-v3"
              - name: "Tracing Context Propagation"
                path: "/en/api/x-process-propagation-headers-v3"
              - name: "Tracing Correlation Correlation"
                path: "/en/api/x-process-correlation-headers-v1"
          - name: "Metrics APIs"
            catalog:
              - name: "Meter APIs"
                path: "/en/api/meter"
              - name: "Browser performance APIs"
                path: "/en/api/browser-protocol"
              - name: "JVM metrics APIs"
                path: "/en/api/jvm-protocol"
          - name: "Logging"
            path: "/en/api/log-data-protocol"
          - name: "Service Instance Properties APIs"
            path: "/en/api/instance-properties"
          - name: "Event"
            path: "/en/api/event"
          - name: "Profiling"
            path: "/en/api/profiling-protocol"
      - name: "Query APIs"
        catalog:
          - name: "GraphQL APIs"
            catalog:
              - name: "GraphQL APIs"
                path: "/en/api/query-protocol"
              - name: "MQE Syntax"
                path: "/en/api/metrics-query-expression"
              - name: "Deprecated APIs"
                path: "/en/api/query-protocol-deprecated"
          - name: "PromQL APIs"
            path: "/en/api/promql-service"
          - name: "LogQL APIs"
            path: "/en/api/logql-service"
  - name: "Security Notice"
    path: "/en/security/readme"
  - name: "Debugging"
    catalog:
      - name: "Scratch The OAP Config Dump"
        path: "en/debugging/config_dump"
  - name: "Academy"
    catalog:
      - name: "Scaling SkyWalking server automatically in kubernetes"
        path: "/en/academy/scaling-with-apache-skywalking"
      - name: "STAM Paper, Streaming Topology Analysis Method"
        path: "/en/papers/stam"
      - name: "SDK Profiling to Fix the Blind Spot"
        path: "/en/concepts-and-designs/sdk-profiling"
      - name: "eBPF CPU Profiling to pinpoint Service Mesh Critical Performance Impact"
        path: "/en/concepts-and-designs/ebpf-cpu-profiling"
      - name: "Diagnose Service Mesh Network Performance with eBPF"
        path: "/en/academy/diagnose-service-mesh-network-performance-with-ebpf"
  - name: "FAQs"
    path: "/en/faq/readme"
  - name: "Contributing Guides"
    catalog:
      - name: "Contact the community"
        path: "/en/guides/community"
      - name: "Become A Committer"
        path: "/en/guides/asf/committer"
      - name: "Release Guide"
        path: "/en/guides/how-to-release/"
      - name: "Compiling Guide"
        path: "/en/guides/how-to-build"
      - name: "Contribute"
        catalog:
          - name: "Integration Tests"
            path: "/en/guides/it-guide"
          - name: "Benchmark Tests"
            path: "/en/guides/benchmark"
          - name: "End to End Tests"
            path: "/en/guides/e2e"
          - name: "Project Extensions"
            catalog:
              - name: "Component Library Settings"
                path: "/en/guides/component-library-settings"
              - name: "Extend An OAL Source"
                path: "/en/guides/source-extension"
          - name: "Dependencies"
            catalog:
              - name: "Project Dependencies Check"
                path: "/en/guides/dependencies"
              - name: "Zipkin dependency"
                path: "/en/guides/how-to-bump-up-zipkin"
          - name: "I18n"
            path: "/en/guides/i18n"
  - name: "Changelog"
    catalog:
      - name: "Current Version"
        path: "/en/changes/changes"
      - name: "9.6.0"
        path: "/en/changes/changes-9.6.0"
      - name: "9.5.0"
        path: "/en/changes/changes-9.5.0"
      - name: "9.4.0"
        path: "/en/changes/changes-9.4.0"
      - name: "9.3.0"
        path: "/en/changes/changes-9.3.0"
      - name: "9.2.0"
        path: "/en/changes/changes-9.2.0"
      - name: "9.1.0"
        path: "/en/changes/changes-9.1.0"
      - name: "9.0.0"
        path: "/en/changes/changes-9.0.0"
      - name: "Archived Releases"
        catalog:
        - name: "8.9.1"
          path: "/en/changes/changes-8.9.1"
        - name: "8.9.0"
          path: "/en/changes/changes-8.9.0"
        - name: "8.8.1"
          path: "/en/changes/changes-8.8.1"
        - name: "8.8.0"
          path: "/en/changes/changes-8.8.0"
        - name: "8.7.0"
          path: "/en/changes/changes-8.7.0"
        - name: "8.6.0"
          path: "/en/changes/changes-8.6.0"
        - name: "8.5.0"
          path: "/en/changes/changes-8.5.0"
        - name: "8.4.0"
          path: "/en/changes/changes-8.4.0"
        - name: "8.3.0"
          path: "/en/changes/changes-8.3.0"
        - name: "8.2.0"
          path: "/en/changes/changes-8.2.0"
        - name: "8.1.0"
          path: "/en/changes/changes-8.1.0"
        - name: "8.0.1"
          path: "/en/changes/changes-8.0.1"
        - name: "8.0.0"
          path: "/en/changes/changes-8.0.0"
        - name: "7.0.0"
          path: "/en/changes/changes-7.0.0"
        - name: "6.x"
          path: "/en/changes/changes-6.x"
        - name: "5.x"
          path: "/en/changes/changes-5.x"
